|  | Home | Documentation | soap_wsse_session Struct Reference updated by Robert van Engelen |

Public Attributes | List of all members
soap_wsse_session Struct Reference

Digest authentication session data. More...

Collaboration diagram for soap_wsse_session:
[legend]

## Public Attributes

struct soap_wsse_session * | next
time_t | expired
char | hash [SOAP_SMD_SHA1_SIZE]
char | nonce [1]

## Detailed Description

Digest authentication session data.

## Member Data Documentation

## ◆ expired

time_t soap_wsse_session::expired

Session expiration

## ◆ hash

char soap_wsse_session::hash[SOAP_SMD_SHA1_SIZE]

SHA1 digest

## ◆ next

struct soap_wsse_session* soap_wsse_session::next

Next session in list

## ◆ nonce

char soap_wsse_session::nonce[1]

Nonce string flows into region below this struct

The documentation for this struct was generated from the following file:

- wsseapi.c